# $Revision: 1.17 $, $Date: 2012/02/22 16:52:55 $
Summary:	xev application - printing contents of X events
Summary(pl.UTF-8):	Aplikacja xev wypisujaca zawartość zdarzeń X
Name:		xorg-app-xev
Version:	1.2.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xev-%{version}.tar.bz2
# Source0-md5:	2727c72f3eba0c23f8f6b2e618d195a2
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.2
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXrandr >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xev application creates a window and then asks the X server to send it
events whenever anything happens to the window (such as it being
moved, resized, typed in, clicked in, etc.). You can also attach it to
an existing window. It is useful for seeing what causes events to
occur and to display the information that they contain; it is
essentially a debugging and development tool, and should not be needed
in normal usage.

%description -l pl.UTF-8
Aplikacja xev tworzy okno i żąda od serwera X przesyłania do siebie
wszystkich zdarzeń występujących w tym oknie (takich jak przesunięcia,
zmiana rozmiaru, naciśnięcia klawiszy, kliknięcia). Może także
podłączyć się do istniejącego okna. Jest przydatna do sprawdzania co
powoduje występowanie zdarzeń i wyświetlania zawartych w nich
informacji; jest to zasadnicze narzędzie diagnostyczne i
programistyczne, natomiast nie powinno być potrzebne przy zwykłym
użytkowaniu systemu.

%prep
%setup -q -n xev-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xev
%{_mandir}/man1/xev.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xev.spec,v $
Revision 1.17  2012/02/22 16:52:55  qboosh
- updated to 1.2.0

Revision 1.16  2011/01/29 00:07:51  sparky
- dropped pre-cvs changelog

Revision 1.15  2010/10/31 08:27:33  qboosh
- updated to 1.1.0

Revision 1.14  2009/10/19 05:04:12  qboosh
- updated to 1.0.4

Revision 1.13  2008/03/08 01:18:51  qboosh
- updated to 1.0.3
- real descs

Revision 1.12  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2006/06/02 09:29:54  qboosh
- updated to 1.0.2, release 1

Revision 1.9  2006/01/12 14:27:50  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 15:15:18  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 00:38:28  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs
